"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class AwaitControl {
    constructor() {
        this.keyReducer = 'rrAwaitControl';
    }
    static init(config) {
        if (!AwaitControl.control) {
            AwaitControl.control = new AwaitControl();
        }
        if (config === null || config === void 0 ? void 0 : config.keyReducer) {
            AwaitControl.control.keyReducer = config.keyReducer;
        }
        return AwaitControl.control;
    }
    static getControl() {
        if (!AwaitControl.control) {
            throw new Error('AwaitControl was not initialized.');
        }
        return AwaitControl.control;
    }
}
exports.default = AwaitControl;
