import { Action, ActionFunctionAny, ActionMeta } from 'redux-actions';
export declare type AsyncActionState = 'START' | 'SUCCESS' | 'FAILURE' | 'CANCEL';
export declare type BaseAction = Action<any> | ActionMeta<any, any>;
export declare type AsyncBaseActionControl = {
    start: ActionFunctionAny<Action<any>>;
    success: ActionFunctionAny<Action<any>>;
    failure: ActionFunctionAny<Action<any>>;
    cancel: ActionFunctionAny<Action<any>>;
};
export declare type AsyncActionReducer = {
    [actionName: string]: AsyncActionState;
};
export declare type Selector = (state: any) => any;
export declare type AwaitControlInitializer = {
    keyReducer?: string;
};
